osgUtil::SharedArrayOptimizer Class Reference

`#include <MeshOptimizers>`

## Public Member Functions

void | findDuplicatedUVs (const osg::Geometry &geometry)
void | deduplicateUVs (osg::Geometry &geometry)

## Protected Attributes

std::map< unsigned int, unsigned int > | _deduplicateUvs

## Member Function Documentation

## deduplicateUVs()

void osgUtil::SharedArrayOptimizer::deduplicateUVs | ( | osg::Geometry & | geometry | ) |

## findDuplicatedUVs()

void osgUtil::SharedArrayOptimizer::findDuplicatedUVs | ( | const osg::Geometry & | geometry | ) |

## Member Data Documentation

## _deduplicateUvs

std::map<unsigned int, unsigned int> osgUtil::SharedArrayOptimizer::_deduplicateUvs

protected

The documentation for this class was generated from the following file:

- MeshOptimizers